{$O-,Q+,R+}
uses testlib, SysUtils;
type integer=longint;

const MaxL=1000;
      eps=1.1e-6;

type anst=array [1..MaxL] of extended;
     
procedure readans (var f:instream; var a:anst; var ac:integer);
var cur:extended;
begin
  while not f.seekeof do begin
    cur:=f.readreal;
    inc (ac); if ac<=MaxL then a[ac]:=cur;
  end;
end;

var ja, ca:anst;
    i, jc, cc:integer;

begin
  readans (ans, ja, jc);
  readans (ouf, ca, cc);
  if (cc<>jc) then quit (_PE, 'invalid count of numbers: '+inttostr (cc)+' instead of '+inttostr (jc));
  for i:=1 to jc do
    if abs (ja[i]-ca[i])>eps then quit (_WA, 'Error in number '+inttostr (i)+': '+floattostr (ca[i])+' instead of '+floattostr (ja[i]));
  quit (_OK, inttostr (cc)+' numbers');   
end.